Skip to main content
PATCH
/
api
/
v1
/
members
/
{id}
Update a member (name, email, role, active status, metadata).
curl --request PATCH \
  --url https://api.backside.app/api/v1/members/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "is_active": true,
  "metadata": "<unknown>",
  "name": "<string>",
  "role": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_active": true,
  "metadata": "<unknown>",
  "name": "<string>",
  "role": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "email": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Member ID

Body

application/json
email
string | null
is_active
boolean | null
metadata
any
name
string | null
role
string | null

Response

Member updated

created_at
string<date-time>
required
id
string<uuid>
required
is_active
boolean
required
metadata
any
required
name
string
required
role
string
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
email
string | null